# scripts/ccip/ccip-estimate-fee.sh

**Name**: `ccip-estimate-fee.sh`

Estimate CCIP fee for a WETH bridge to a destination chain


**Uses common library**: yes

**Has --help**: yes

## Usage
`${SCRIPT_NAME} --token {weth9|weth10} --selector <chainSelector> --amount <wei> [--rpc <url>] [--help]`

### Options
```
--token <name>     Bridge token type (weth9|weth10)
--selector N       Destination chain selector (uint64)
--amount WEI       Amount of token to send (wei)
--rpc URL          RPC URL (default: ETHEREUM_MAINNET_RPC or public)
--help             Show help
```

## Examples
```bash
${SCRIPT_NAME} --token {weth9|weth10} --selector <chainSelector> --amount <wei> [--rpc <url>] [--help]
```
